

#ifndef _GMRCBASIC_H_
#define _GMRCBASIC_H_


#include  "gmrcbasic-msg.h"
    

//[2009.11.24.화][완료!!!]
void __fastcall UART_TxdX(unsigned char  *pTxdXByte,
                          unsigned int    pSize);

//[2009.04.21.화][완료!!!]
unsigned char __fastcall UART_Rxd(void);

//[2009.04.21.화][완료!!!]
void __fastcall GMRCBASIC_Ack(void);

//[2009.04.21.화][완료!!!]
void __fastcall GMRCBASIC_WaitReport(void);

//[2009.04.21.화][완료!!!]
void __fastcall GMRCBASIC_MemSet(unsigned char  pDid);

//[2009.04.21.화][완료!!!]
void __fastcall GMRCBASIC_Degree(unsigned char  pDid,
                                 unsigned char  pSid,
                                 unsigned char  pAccel,
                                 unsigned char  pDegree);

//[2009.04.21.화][완료!!!]
void __fastcall GMRCBASIC_DegMem(unsigned char  pDid,
                                 unsigned char  pSid,
                                 unsigned char  pAccel,
                                 unsigned char  pDegree);

//[2009.04.21.화][완료!!!]
void __fastcall GMRCBASIC_DegMemX(unsigned char   pDid,
                                  unsigned char   pN,
                                  unsigned char   pAccel,
                                  unsigned char  *pDegree);

//[2009.04.21.화][완료!!!]
void __fastcall GMRCBASIC_DegMemXT(unsigned char   pDid,
                                   unsigned char   pN,
                                   unsigned char   pAccel,
                                   unsigned char   pSpeed,
                                   unsigned char  *pDegree);

//[2009.04.21.화][완료!!!]
void __fastcall GMRCBASIC_Speed(unsigned char  pDid,
                                unsigned char  pSid,
                                unsigned char  pSpeed);

//[2009.04.21.화][완료!!!]
void __fastcall GMRCBASIC_SpdMem(unsigned char  pDid,
                                 unsigned char  pSid,
                                 unsigned char  pSpeed);

//[2009.04.21.화][완료!!!]
void __fastcall GMRCBASIC_SpdMemX(unsigned char   pDid,
                                  unsigned char   pN,
                                  unsigned char  *pSpeed);

//[2009.04.21.화][완료!!!]
void __fastcall GMRCBASIC_DegSpd(unsigned char  pDid,
                                 unsigned char  pSid,
                                 unsigned char  pAccel,
                                 unsigned char  pDegree,
                                 unsigned char  pSpeed);

//[2009.04.21.화][완료!!!]
void __fastcall GMRCBASIC_DegSpdMem(unsigned char  pDid,
                                    unsigned char  pSid,
                                    unsigned char  pAccel,
                                    unsigned char  pDegree,
                                    unsigned char  pSpeed);

//[2009.04.21.화][완료!!!]
void __fastcall GMRCBASIC_Pulse(unsigned char   pDid,
                                unsigned char   pSid,
                                unsigned char   pAccel,
                                unsigned short  pTick);

//[2009.04.21.화][완료!!!]
void __fastcall GMRCBASIC_Report(unsigned char   pDid);

//[2009.04.21.화][완료!!!]
void __fastcall GMRCBASIC_ReportTime(unsigned char   pDid,
                                     unsigned char   pSid,
                                     unsigned char   pReportTime);

//[2009.04.21.화][완료!!!]
void __fastcall GMRCBASIC_ReportTimeX(unsigned char   pDid,
                                      unsigned char   pN,
                                      unsigned char  *pReportTime);

//[2009.04.21.화][완료!!!]
void __fastcall GMRCBASIC_AccelDiv(unsigned char   pDid,
                                   unsigned char   pSid,
                                   unsigned char   pDiv);

//[2009.04.21.화][완료!!!]
void __fastcall GMRCBASIC_AccelDivX(unsigned char   pDid,
                                    unsigned char   pN,
                                    unsigned char  *pDiv);

//[2009.04.21.화][완료!!!]
void __fastcall GMRCBASIC_PwmStart(unsigned char   pDid);

//[2009.04.21.화][완료!!!]
void __fastcall GMRCBASIC_PwmStop(unsigned char   pDid);



#endif

























